<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- habilitation.v01.xsl contient tous les templates d'affichage des informations d'une habilitation de CDM-fr v2 -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://cdm-fr.fr/2011/CDM-frSchema"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

	<!-- FICHIERS INCLUDE UTILISEES   
	<xsl:include href="commun/commun_fr-FR.xsl" />
	<xsl:include href="commun/infoBlock.v01.xsl" />-->
	
    <!-- AJOUT ROT Template Habilitation -->
	<xsl:variable name="hNode" select="key('objet',$idP)" />

	<xsl:template name="tHabilitationHabiliID">
		<xsl:value-of select="$hNode/ns2:habilitation/ns2:habiliId"/>
	</xsl:template>
	
	<xsl:template name="tHabilitationLegalRef">
		<xsl:value-of select="$hNode/ns2:habilitation/ns2:legalRef[@blockLang=$_lang or not(@blockLang)]/node()"/>
	</xsl:template>

	<xsl:template name="tHabilitationHabiliObject">
		<ul>
			<xsl:apply-templates select="$hNode/ns2:habilitation/ns2:habiliObject/ns2:refProgram"/>
		</ul>
	</xsl:template>

	<xsl:template name="tHabilitationDiplomaType">
		<xsl:value-of select="$hNode/ns2:habilitation/@diplomaType"/>
	</xsl:template>

	<xsl:template name="tHabilitationOrganization">
		<xsl:value-of select="$hNode/ns2:habilitation/@Organization"/>
	</xsl:template>

	<xsl:template name="tHabilitationFieldFieldNameFree">
		<xsl:value-of select="$hNode/ns2:habilitation/ns2:field/ns2:fieldName/ns2:free/ns2:text[@language=$_lang or not(@language)]"/>
	</xsl:template>

	<xsl:template name="tHabilitationFieldFieldPurpose">
		<xsl:value-of select="key('objet',$_oid)/ns2:habilitation/ns2:field/@fieldPurpose"/>
	</xsl:template>

	<xsl:template name="tHabilitationFieldFieldPrimaryDomainName">
		<xsl:value-of select="key('objet',$_oid)/ns2:habilitation/ns2:field/@primaryDomainName"/>
	</xsl:template>
	
	<xsl:template name="tHabilitationFieldFieldOtherDomainName">
		<xsl:value-of select="$hNode/ns2:habilitation/ns2:field/@otherDomainName"/>
	</xsl:template>

	<xsl:template name="tHabilitationFieldFieldFieldTimingInfoRenewalDateDate">
		<xsl:value-of select="$hNode/ns2:habilitation/ns2:field/ns2:fieldTimingInfo/ns2:renewalDateDate[@blockLang=$_lang or not(@blockLang)]/@date"/>
	</xsl:template>
	
	<xsl:template name="tHabilitationFieldSpeciality">
		<ul>
			<xsl:apply-templates select="$hNode/ns2:habilitation/ns2:field/ns2:speciality"/>
		</ul>
	</xsl:template>
	
	<xsl:template match="ns2:speciality">
		<li><xsl:value-of select="ns2:specialityName/ns2:text[@language=$_lang or not(@language)]"/></li>
		<ul>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libDateRenouvellement'"/></xsl:call-template>
			<xsl:value-of select="ns2:specialityTimingInfo/ns2:renewalDateDate[@blockLang=$_lang or not(@blockLang)]/@date"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libDureeHabilitation'"/></xsl:call-template>
			<xsl:value-of select="ns2:specialityTimingInfo/@duration"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libObjectif'"/></xsl:call-template>
			<xsl:value-of select="@specialityPurpose"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libCohabilitation'"/></xsl:call-template>
			<xsl:apply-templates select="ns2:cohabilitation"/></li>
		</ul>
	</xsl:template>

	<xsl:template match="ns2:cohabilitation">
		<xsl:choose>
				<xsl:when test="ns2:exists='false'"><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libAucuneCohabilitation'"/></xsl:call-template></xsl:when>
				<xsl:when test="ns2:exists='true'">
					<ul>
						<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libCodeRNE'"/></xsl:call-template> <xsl:value-of select="ns2:listOfOrgUnit/@cohabilitationRole"/> : 
							<xsl:choose>
								<xsl:when test="count(ns2:listOfOrgUnit/ns2:refOrgUnit)>1">
									<ul>
										<xsl:for-each select="ns2:listOfOrgUnit/ns2:refOrgUnit">
											<li><xsl:value-of select="@ref"/></li>
										</xsl:for-each>
									</ul>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="ns2:listOfOrgUnit/ns2:refOrgUnit/@ref"/>
									<!-- a tester <xsl:apply-templates match="ns2:listOfOrgUnit/ns2:refOrgUnit"/>-->
								</xsl:otherwise>
							</xsl:choose>
						</li>
					</ul>
				</xsl:when>
			</xsl:choose>
	</xsl:template>

	
	<xsl:template match="ns2:licProNatName">
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libLicencePro'"/></xsl:call-template></h3>
		<p><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libDenomNationale'"/></xsl:call-template><xsl:value-of select="ns2:Name"/></p>
		<p><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libSecteurProf'"/></xsl:call-template><xsl:value-of select="ns2:sectAct"/></p>
	</xsl:template>
	
	<xsl:template match="ns2:contexteEtEnjeux">
	  <!--<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libContexteEtEnjeux'"/></xsl:call-template></h3>-->
	  <p><xsl:apply-templates select="ns2:contexteEtEnjeuxInfo/node()"/></p>
	  <!--<xsl:if test="not(ns2:weblink='')">
	    <p><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libSchema'"/></xsl:call-template><xsl:apply-templates select="ns2:webLink"/></p>
	  </xsl:if>-->
	</xsl:template>
	
	<xsl:template match="ns2:habiliRequest">
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libHabiliRequest'"/></xsl:call-template></h3>
		<ul>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libDateCreationFormation'"/></xsl:call-template><xsl:value-of select="ns2:habiliTiming/ns2:habiliCreatDate/@date"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libDateRenouvellementFormation'"/></xsl:call-template><xsl:value-of select="ns2:habiliTiming/ns2:habiliRenewDate/@date"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libDureeHabilitation'"/></xsl:call-template><xsl:value-of select="ns2:habiliTiming/ns2:habiliWishDuration"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libTypeDemande'"/></xsl:call-template><xsl:value-of select="ns2:habiliReqType"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libDateCA'"/></xsl:call-template><xsl:value-of select="ns2:habiliReqDates/ns2:dateCA/@date"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libDateCEVU'"/></xsl:call-template><xsl:value-of select="ns2:habiliReqDates/ns2:dateCEVU/@date"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libDateCS'"/></xsl:call-template><xsl:value-of select="ns2:habiliReqDates/ns2:dateCS/@date"/></li>
		</ul>
	</xsl:template>

	<xsl:template match="ns2:partnership">
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libPartenariat'"/></xsl:call-template></h3>
		<ul>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libDenomPrincipale'"/></xsl:call-template><xsl:value-of select="ns2:partnerName/ns2:text[@lang=$_lang]"/></li>
			<li><xsl:apply-templates select="ns2:partnershipInfo/infoBlock"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libCodeRNE'"/></xsl:call-template><xsl:value-of select="ns2:refOrgUnit/@ref"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libPolitiqueStage'"/></xsl:call-template><xsl:apply-templates select="ns2:training/ns2:trainingStrategy/node()"/></li>
		</ul>
	</xsl:template>

	<xsl:template match="ns2:equivalence">
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libEquivalence'"/></xsl:call-template></h3>
	</xsl:template>

	<xsl:template match="ns2:i13nProg">
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libOrganisationEtudeEtranger'"/></xsl:call-template></h3>
		<ul>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libNomProgramme'"/></xsl:call-template><xsl:value-of select="ns2:i13ProgName/text[@language=$_lang or not(@language)]"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libModaliteBiDiplomation'"/></xsl:call-template><xsl:value-of select="ns2:i13ProgPartner/ns2:partnershipInfo/ns2:diploma[@agreement='bidiplomation']/ns2:description/ns2:text[@language=$_lang or not(@language)]"/></li>
			<li><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libInformation'"/></xsl:call-template><xsl:apply-templates select="ns2:i13ProgInfo/node()"/></li>
		</ul>
	</xsl:template>
	
	<xsl:template match="ns2:relatedPrograms">
		<h3><xsl:call-template name="tCommunGestionLibelle"><xsl:with-param name="pIdent" select="'libLiensAutresProg'"/></xsl:call-template></h3>
		<xsl:apply-templates select="ns2:relationInfo/node()"/>
	</xsl:template>

    <!-- FIN AJOUT ROT Template Habilitation -->

</xsl:stylesheet>
